Scriptname DragonCurseTransform extends activemagiceffect  

import game
import debug
import utility
import sound

Race Property DrgRace  Auto  

ImageSpaceModifier Property MidEffect  Auto  

WordOfPower Property Word6  Auto  

EffectShader Property Shad  Auto  

Armor Property WolfSkinFXArmor auto
Armor Property DragonUnderskin  Auto 

Faction Property SetFactio  Auto 

ImageSpaceModifier Property IntroFXScreen  Auto  
ImageSpaceModifier Property FinalFXScreen  Auto  

Sound Property RawrTF Auto
Sound Property RawrDone Auto

WordOfPower Property Word1  Auto  
WordOfPower Property Word2  Auto  
WordOfPower Property Word3  Auto  
WordOfPower Property Word4  Auto  
WordOfPower Property Word5  Auto  

EffectShader Property ShaderTest  Auto 
EffectShader Property DragonHolesLightFXS  Auto   
EffectShader Property DragonHoles2 Auto 

int Rand 

Event OnEffectStart(Actor Target, Actor Caster)
	if (Target.GetActorBase().GetRace() != DrgRace)
	
	Rand = Utility.RandomInt(1, 8)

	;STORE ALL THE PLAYER INFO!
	StorePlayerRace = Target.GetActorBase().GetRace()
	Health = Game.GetPlayer().GetActorValue("health")
	Game.DisablePlayerControls(false, false, true, false, true, false, false)
      ;Equip the Armor.
	Game.GetPlayer().UnequipAll()

	Target.equipitem(WolfSkinFXArmor,true,true)
	IntroFXScreen.Apply()
    	Target.SetGhost(true)

	;Target.PlayIdle(IdleTEST)

	wait(0.3)
	Target.EquipItem(DragonUnderskin,true,true)
	Game.ForceThirdPerson()
	Game.EnableFastTravel(true)
	Game.SetPlayerReportCrime(false)
	
	wait(0.2)

	DragonHoles2.Play(Target,4)
	FinalShaderNew.Play(Target,2)
	ShaderTest.Play(Target,4)
	DragonHolesLightFXS.Play(Target,4)

	RawrTF.Play(Target)
	Target.PlaySubGraphAnimation( "SkinFadeOut" ) ; nice it works.
	Target.PlaySubGraphAnimation("BloodFade")
	Game.GetPlayer().SetActorValue("health", 700)
	
	RegisterForUpdate(5)

	;Set The Thingys.

	Target.AddToFaction(SetFactio)
	Target.SetAllowFlying(true)

	;TF him!
	wait(1)
	FinalFXScreen.Apply()
	Utility.Wait(0.1)

	if Rand == 1 
	Target.equipitem(Skin1,true,true)
	endif

	if Rand == 2
	Target.equipitem(Skin2,true,true)
	endif

	if Rand == 3 
	Target.equipitem(Skin3,true,true)
	endif

	if Rand == 4
	Target.equipitem(Skin4,true,true)
	endif

	if Rand == 5 
	Target.equipitem(Skin5,true,true)
	endif

	if Rand == 6 
	Target.equipitem(Skin6,true,true)
	endif

	if Rand == 7 
	Target.equipitem(Skin7,true,true)
	endif

	if Rand == 8 
	Target.equipitem(Skin8,true,true)
	endif

	Target.SetRace(DrgRace)	
	;Target.SetClass(DragonClass)
	Utility.SetIniFloat("fInAirFallingCharGravityMult:Havok",1)
	Target.EquipSpell(Mouse1, 0)
	Target.EquipSpell(Mouse2, 1)

	Utility.Wait(1)

       game.teachWord(Word1)
	game.teachWord(Word2)
       game.teachWord(Word3)
       game.teachWord(Word4)
       game.teachWord(Word5)
 	game.teachWord(Word6)
	game.teachWord(Word7)

Game.UnlockWord(Word1)
Game.UnlockWord(Word2)
Game.UnlockWord(Word3)
Game.UnlockWord(Word4)
Game.UnlockWord(Word5)
Game.UnlockWord(Word6)
Game.UnlockWord(Word7)

	Utility.Wait(0.7)

	Target.PlayAnimation("Special_AlduinTimeTravel") ; TF AFTER EFFECT SOUND - DOENT WORK >:(

	Utility.Wait(0.3)

	RawrDone.Play(Target)
	Target.RemoveItem(DragonUnderskin)	
	Target.RemoveItem(WolfSkinFXArmor)
	Target.SetGhost(false)

	Utility.Wait(0.5)

	Target.SetAttackActorOnSight(true)
	Game.SendWereWolfTransformation()

	Game.GetPlayer().SetHeadTracking(false)
	wait(4)
	;Target.PerformAction(DAMMIT)
	Target.SetAllowFlying(true)
	endif
EndEvent



;DRAGON CHANGE BACK!

GlobalVariable Property DragonIsBack auto



Event OnUpdate()

    if (DragonIsBack.getValue() == 1)
        ChangeMeBack()
        return
	else



    endif

	

endevent



function ChangeMeBack()

DragonIsBack.setValueInt(0)

;Remove the Dragon Shouts.

IntroFXScreen.Apply()
UnregisterForUpdate()


;StopHimFromMove

Game.GetPlayer().RemoveShout(Rev1) 
Game.GetPlayer().RemoveShout(Rev2) 
Game.GetPlayer().RemoveShout(Rev3) 
Game.GetPlayer().RemoveShout(Rev4) 
Game.GetPlayer().RemoveShout(Rev5) 
Game.GetPlayer().RemoveShout(Rev6) 
Game.GetPlayer().RemoveShout(Rev7) 
Game.GetPlayer().RemoveShout(Rev8) 

Game.GetPlayer().DispelSpell(This)

Game.GetPlayer().SetActorValue("health", Health)


Game.GetPlayer().SetGhost(true)
Game.GetPlayer().SetAllowFlying(false)
FinalShaderNew.Play(Game.GetPlayer(),1)

wait(0.3)

DragonHoles2.Play(Game.GetPlayer(),4)
Shad.Play(Game.GetPlayer(),4)
ShaderTest.Play(Game.GetPlayer(),4)


wait(0.7)
FinalFXScreen.Apply()

Game.GetPlayer().SetAttackActorOnSight(false)


Game.GetPlayer().RemoveItem(Skin1)
Game.GetPlayer().RemoveItem(Skin2)
Game.GetPlayer().RemoveItem(Skin3)
Game.GetPlayer().RemoveItem(Skin4)
Game.GetPlayer().RemoveItem(Skin5)
Game.GetPlayer().RemoveItem(Skin6)
Game.GetPlayer().RemoveItem(Skin7)
Game.GetPlayer().RemoveItem(Skin8)


Game.GetPlayer().SetRace(StorePlayerRace)	
Utility.SetIniFloat("fInAirFallingCharGravityMult:Havok",1)
Game.SetBeastForm(false)

Game.GetPlayer().RemoveFromFaction(SetFactio)
Game.EnableFastTravel(true)
Game.SetPlayerReportCrime(true)
Game.GetPlayer().SetAllowFlying(false)

wait(0.3)

Game.GetPlayer().GetActorBase().SetInvulnerable(false)
Game.GetPlayer().SetGhost(false)
Game.EnablePlayerControls()
;          FAILSAFE

if(Game.GetPlayer().GetActorValue("health") != Health )
Game.GetPlayer().SetActorValue("health", Health)
endif

endfunction


; === STORING VARS ===
Race StorePlayerRace
float Health


EffectShader Property FinalShaderNew  Auto  
Shout Property Rev1  Auto  
Shout Property Rev2  Auto  
Shout Property Rev3  Auto  
Shout Property Rev4  Auto  
Shout Property Rev5  Auto  
Shout Property Rev6  Auto  

Spell Property This Auto

WordOfPower Property Word7  Auto  

Shout Property Rev7  Auto  

Shout Property Rev8  Auto  


WEAPON Property TEST  Auto  

Armor Property Skin1  Auto  
Armor Property Skin2  Auto  
Armor Property Skin3  Auto  
Armor Property Skin4  Auto  
Armor Property Skin5  Auto  
Armor Property Skin6  Auto  

Armor Property Skin7  Auto  

Armor Property Skin8  Auto  

SPELL Property Mouse1  Auto  

SPELL Property Mouse2  Auto  
